Loading...
Searching...
No Matches
Dune::GridGlue::GlobalId Struct Reference

`#include <dune/grid-glue/adapter/gridgluecommunicate.hh>`

Inheritance diagram for Dune::GridGlue::GlobalId:

## Public Member Functions

| GlobalId ()
| GlobalId (int i)
| GlobalId (int i, int j, unsigned int n)

## Public Attributes

T1 | first_type
| STL member.
T2 | second_type
| STL member.

## Constructor & Destructor Documentation

## GlobalId() [1/3]

Dune::GridGlue::GlobalId::GlobalId | ( |  | ) |

inline

default constructor, required for dune-common RemoteIndices

## GlobalId() [2/3]

Dune::GridGlue::GlobalId::GlobalId | ( | int | i | ) |

inline

constructor from int, required for dune-common RemoteIndices

## GlobalId() [3/3]

Dune::GridGlue::GlobalId::GlobalId | ( | int | i,
|  | int | j,
|  | unsigned int | n )

inline

constructor

Parameters

  i | rank of processor 1
  j | rank of processor 2
  n | local intersection index

## Member Data Documentation

## first_type

T1 std::pair< T1, T2 >::first_type

inherited

STL member.

## second_type

T2 std::pair< T1, T2 >::second_type

inherited

STL member.

The documentation for this struct was generated from the following file:

- gridgluecommunicate.hh